Test an existing import rule against a given bill object. Useful for testing an existing rule against a bill that does not exist in EUM yet.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| billImportRuleId | The import rule to execute | integer (int32) | Required |
Request Body
BillDescriptorJson
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| confidence | BillDescriptorJson+BillDescriptorConfidence | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillDescriptorJson+BillDescriptorConfidence properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| controlCode | The name of the input file, without file extension, for linking results to document source for extraction | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| header | BillDescriptorJson+BillDescriptorHeaderJson | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillDescriptorJson+BillDescriptorHeaderJson properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| meters | Meters represented on the bill, including line items associated with each meter | BillDescriptorJson+BillDescriptorMeterJson[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillDescriptorJson+BillDescriptorMeterJson properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| processingErrors | List of any problems that prevented extraction of bill data | BillDescriptorJson+BillDescriptorProcessingError[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillDescriptorJson+BillDescriptorProcessingError properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Request Body
{ "confidence": { "confidenceScore": 1.0, "lowConfidenceReason": "string"
}, "controlCode": "string", "header": { "accountIdentifiers": [
{ "label": "string", "value": "string"
}
], "accountLevelCharges": [
{ "caption": "string", "cost": 1.0, "observationType": "string"
}
], "accountNumber": "string", "billEnd": "2026-05-12", "billStart": "2026-05-12", "currencyCode": "string", "currentCharges": 1.0, "customerAddress": "string", "daysOfService": 1, "deliveryDate": "2026-05-12", "deposit": 1.0, "dueDate": "2026-05-12", "estimated": false, "invoiceDate": "2026-05-12", "invoiceNumber": "string", "lateFee": 1.0, "mailingDate": "2026-05-12", "paymentReceived": 1.0, "priorBalance": 1.0, "rateSchedule": [
{ "label": "string", "value": "string"
}
], "refund": 1.0, "remitAddress": "string", "servicePeriodMonth": "string", "sourceLanguage": "string", "totalCost": 1.0, "vendorAddress": "string", "vendorEmail": "string", "vendorName": "string", "vendorPhoneNumber": "string", "vendorRole": "string", "vendorWebsite": "string"
}, "meters": [
{ "commodity": "string", "identifiers": [
{ "label": "string", "value": "string"
}
], "lines": [
{ "caption": "string", "cost": 1.0, "lineGroupHeader": "string", "observationType": "string", "summaryLine": "string", "unit": "string", "unitRate": 1.0, "value": 1.0
}
], "meterAddress": "string", "rateSchedule": [
{ "label": "string", "value": "string"
}
], "serialNumber": "string"
}
], "processingErrors": [
{ "errorMessage": "string", "errorReason": "string"
}
]
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
TestBillImportRuleResponseV202604
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| errorMetadata | If EnergyCap.DTO.V202604.BillImportRule.TestBillImportRuleResponseDTO.Success is false - contains other relevant error information. This object structure should be treated as dynamic - its shape may change depending on the error. | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| errorReason | If EnergyCap.DTO.V202604.BillImportRule.TestBillImportRuleResponseDTO.Success is false - contains a message explaining the error that was encountered | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| result | BillDescriptorJson | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillDescriptorJson properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| success | If false, the rule encountered an error. See EnergyCap.DTO.V202604.BillImportRule.TestBillImportRuleResponseDTO.ErrorReason and EnergyCap.DTO.V202604.BillImportRule.TestBillImportRuleResponseDTO.ErrorMetadata for detailed error information. | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "errorMetadata": {}, "errorReason": "string", "result": { "confidence": { "confidenceScore": 1.0, "lowConfidenceReason": "string"
}, "controlCode": "string", "header": { "accountIdentifiers": [], "accountLevelCharges": [], "accountNumber": "string", "billEnd": "2026-05-12", "billStart": "2026-05-12", "currencyCode": "string", "currentCharges": 1.0, "customerAddress": "string", "daysOfService": 1, "deliveryDate": "2026-05-12", "deposit": 1.0, "dueDate": "2026-05-12", "estimated": false, "invoiceDate": "2026-05-12", "invoiceNumber": "string", "lateFee": 1.0, "mailingDate": "2026-05-12", "paymentReceived": 1.0, "priorBalance": 1.0, "rateSchedule": [], "refund": 1.0, "remitAddress": "string", "servicePeriodMonth": "string", "sourceLanguage": "string", "totalCost": 1.0, "vendorAddress": "string", "vendorEmail": "string", "vendorName": "string", "vendorPhoneNumber": "string", "vendorRole": "string", "vendorWebsite": "string"
}, "meters": [
{ "commodity": "string", "identifiers": [], "lines": [], "meterAddress": "string", "rateSchedule": [], "serialNumber": "string"
}
], "processingErrors": [
{ "errorMessage": "string", "errorReason": "string"
}
]
}, "success": false
}